Package org.eclipse.ecf.core.sharedobject.events

# Class ContainerSharedObjectMessageSendingEvent

java.lang.Object
org.eclipse.ecf.core.sharedobject.events.ContainerSharedObjectMessageSendingEvent

All Implemented Interfaces:
  `IContainerEvent`, `IContainerSharedObjectMessageSendingEvent`, `Event`

public class ContainerSharedObjectMessageSendingEvent extends Object implements IContainerSharedObjectMessageSendingEvent
Event class implementing `IContainerSharedObjectMessageSendingEvent`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ID`
`localContainerID`
`protected Object`
`message`
`protected ID`
`sharedObjectID`
`protected ID`
`targetContainerID`

## Constructor Summary

Constructors
Constructor
Description
`ContainerSharedObjectMessageSendingEvent(ID localContainerID, ID targetContainerID, ID sharedObjectID, Object message)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getLocalContainerID()`
Get ID of local discovery container (the discovery container receiving this event).
`Object`
`getMessage()`
Get the message being sent.
`ID`
`getSharedObjectID()`
Get the shared object ID of the sending shared object.
`ID`
`getTargetContainerID()`
Get the target container ID for the message being sent.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### localContainerID

protected ID localContainerID

### targetContainerID

protected ID targetContainerID

### sharedObjectID

protected ID sharedObjectID

### message

protected Object message

## Constructor Details

### ContainerSharedObjectMessageSendingEvent

public ContainerSharedObjectMessageSendingEvent(ID localContainerID, ID targetContainerID, ID sharedObjectID, Object message)

## Method Details

### getMessage

public Object getMessage()
Description copied from interface: `IContainerSharedObjectMessageSendingEvent`
Get the message being sent. This will return the message being sent by the shared object identified by `IContainerSharedObjectMessageSendingEvent.getSharedObjectID()`. May be `null` if null is being sent.

Specified by:
  `getMessage` in interface `IContainerSharedObjectMessageSendingEvent`
Returns:
  Object the message being sent by the shared object identified via `IContainerSharedObjectMessageSendingEvent.getSharedObjectID()`. May be `null`.

### getSharedObjectID

public ID getSharedObjectID()
Description copied from interface: `IContainerSharedObjectMessageSendingEvent`
Get the shared object ID of the sending shared object. This value will not be `null` and the ID given will be the ID of a currently active shared object existing within the enclosing container.

Specified by:
  `getSharedObjectID` in interface `IContainerSharedObjectMessageSendingEvent`
Returns:
  ID of the shared object that is sending the message. Will not be `null`.

### getTargetContainerID

public ID getTargetContainerID()
Description copied from interface: `IContainerSharedObjectMessageSendingEvent`
Get the target container ID for the message being sent.

Specified by:
  `getTargetContainerID` in interface `IContainerSharedObjectMessageSendingEvent`
Returns:
  ID of target container for the message being sent. If `null`, this indicates that all container members of group should receive the message being sent.

### getLocalContainerID

public ID getLocalContainerID()
Description copied from interface: `IContainerEvent`
Get ID of local discovery container (the discovery container receiving this event).

Specified by:
  `getLocalContainerID` in interface `IContainerEvent`
Returns:
  ID for local container. Will not return `null`.

### toString

public String toString()

Overrides:
  `toString` in class `Object`